libsubtitleeditor-devel-0.54.0-6.18.i586.rpm


Advertisement

Description

libsubtitleeditor-devel - Development files for libsubtitleeditor

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Apps all
Package filename libsubtitleeditor-devel-0.54.0-6.18.i586.rpm
Package name libsubtitleeditor-devel
Package version 0.54.0
Package release 6.18
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://github.com/kitone/subtitleeditor
License GPL-3.0
Maintainer -
Download size 9.10 KB
Installed size unknown
The libsubtitleeditor-devel package contains libraries and header files for
developing applications that use libsubtitleeditor0.

Alternatives

Package Version Architecture Repository
libsubtitleeditor-devel-0.54.0-6.7.x86_64.rpm 0.54.0 x86_64 Multimedia Apps
libsubtitleeditor-devel-0.54.0-2.3.x86_64.rpm 0.54.0 x86_64 openSUSE Oss
libsubtitleeditor-devel-0.54.0-2.3.i586.rpm 0.54.0 i586 openSUSE Oss
libsubtitleeditor-devel - - -

Requires

Name Value
libsubtitleeditor0 = 0.54.0

Provides

Name Value
libsubtitleeditor-devel = 0.54.0-6.18
libsubtitleeditor-devel(x86-32) = 0.54.0-6.18

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libsubtitleeditor-devel-0.54.0-6.18.i586.rpm
Source Package subtitleeditor-0.54.0-6.18.src.rpm

Install Howto

  1. Add the Multimedia Apps repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/apps/openSUSE_Tumbleweed/ multimedia-apps
  2. Install libsubtitleeditor-devel rpm package:
    # zypper install libsubtitleeditor-devel

Files

Path
/usr/lib/libsubtitleeditor.so

Changelog

2018-03-24 - aloisio@gmx.com
- Fixed build wrt enchant and compiler
2017-07-14 - aloisio@gmx.com
- Update to version 0.54.0
* move from gna! to github
* Replace std::auto_ptr with std::unique_ptr.
* Merge pull request #4 from innir/remove-gna-links
* Fix sr #3373: Compiling subtitleeditor-0.52.1 '--disable-nls'
fails with '/usr/include/libintl.h' errors : (Peter Levine )
* Fix some spelling errors. (Philip Rinn )
* Fix: setup the default value of do-auto-timing-check in the
timing group.
* Fix constructor order
* Fix constructor order and formatting
* Fix bug #25243 : Fix some spelling errors. (Philip Rinn )
* Fix bug #25184 : Fix build with gstreamermm-1.0 1.8.0.
(Philip Rinn )
* Fix bug #24949 : Remove deprecated gnome-common variable
GNOME2_DIR.
* Fix: Ask for maximize-window instead of window-maximized
config key.
* Fix appdata screenshoot
* compile with Wformat-security
* Change homepage links to github (Philip Rinn)
* Change domain of email address to 'free dot fr' (Philip Rinn)
* Build with the flags -Werror=reorder -Werror=float-conversion.
- Dropped subtitleeditor-build-gstmm-1.8.0.patch (merged upstream)
2017-07-10 - jengelh@inai.de
- Fix duplicate shipping of COPYING.
- RPM group fix.
- Remove redundant wording from description.
2017-06-12 - aloisio@gmx.com
- Added subtitleeditor-build-gstmm-1.8.0.patch
- Split lang devel and shared library into separate packages
2016-08-02 - xrigou@otenet.gr
- Updated to version 0.53.0.
2015-08-05 - xrigou@otenet.gr
- Updated to version 0.52.1.
2015-05-10 - xrigou@otenet.gr
- Updated to version 0.51.0.
- Spec clean-up.
2013-10-24 - xrigou@otenet.gr
- Updated to version 0.41.0.
2012-09-06 - xgpub@tellas.gr
- Updated to svn revision 818.
- Fixes for openSUSE_12.2 build.
2012-03-22 - xgpub@tellas.gr
- Added subtitleeditor-subrip-11.4.patch to fix the subrip plugin
in openSUSE_11.4 (bnc#752950), thanks to Bruno Limmer.

See Also

Package Description
libsubtitleeditor0-0.54.0-6.18.i586.rpm Support library for subtitleeditor
libsubtitleeditor0-0.54.0-6.7.x86_64.rpm Support library for subtitleeditor
libsuil-0-0-0.10.0-22.16.i586.rpm Lightweight C library for loading and wrapping LV2 plugin UIs
libsuil-0-0-0.10.0-22.7.x86_64.rpm Lightweight C library for loading and wrapping LV2 plugin UIs
libxine-devel-1.2.9-135.7.x86_64.rpm Development environment for xine-based media players
libxine2-1.2.9-135.7.x86_64.rpm Video Player with Plug-Ins
libxine2-jack-1.2.9-135.7.x86_64.rpm Jack plugin for xine
libxine2-pulse-1.2.9-135.7.x86_64.rpm Pulseaudio plugin for xine
libxine2-sdl-1.2.9-135.7.x86_64.rpm SDL plugin for xine
libxnoise-devel-0.2.21-17.9.x86_64.rpm Development files of libxnoise
libxnoise-devel-0.2.21-20.9.i586.rpm Development files of libxnoise
libxnoise0-0.2.21-17.9.x86_64.rpm Library for xnoise
libxnoise0-0.2.21-20.9.i586.rpm Library for xnoise
libyami-utils-1.3.0-9.7.x86_64.rpm Collection of tools for development and testing of Libyami
libzvbi-chains0-0.2.35-49.10.x86_64.rpm VBI Decoding Library
Advertisement
Advertisement